CHPASSWD(8)

NOME
chpasswd - aggiorna le password in modo non interattivo

SINOSSI

chpasswd [opzioni]

DESCRIZIONE

chpasswd legge da standard input un elenco di coppie di nomi utente e password e usa queste informazioni per aggiornare un gruppo di utenti esistenti. Ciascuna riga usa il formato:

nome_utente:password

Come impostazione predefinita, si devono fornire password in chiaro che vengono poi cifrate da chpasswd. Vengono aggiornate, se presenti, anche le informazioni sulla durata delle password.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD or MD5_CRYPT_ENAB variables of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

chpasswd first updates all the passwords in memory, and then commits all the changes to disk if no errors occurred for any user.

Questo comando è appositamente pensato per grossi sistemi in cui si abbia la necessità di creare molti account nello stesso momento.

OPZIONI

Il comando chpasswd accetta le seguenti opzioni:

-c, --crypt-method METODO
    Utilizza il metodo specificato per cifrare le password.

    I metodi disponibili sono DES, MD5, NONE e SHA256 o SHA512 se la propria libc lo consente.

    Normalmente (se nessuna delle opzioni -c, -m o -e viene specificata), il metodo di cifratura è definito dalle variabili ENCRYPT_METHOD o MD5_CRYPT_ENAB in /etc/login.defs.

-e, --encrypted
    Le password fornite sono in forma cifrata.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-m, --md5
    Usa la cifratura MD5 anziché DES quando le password fornite non sono cifrate.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --sha-rounds CICLI
    Usa il numero specificato di cicli per cifrare la password.

    Il valore 0 indica che il sistema utilizzerà il numero predefinito di cicli per il metodo crypt (5000).

    I valori minimo di 1.000 e massimo di 999.999.999 sono forzati.

    Si può utilizzare questa opzione solo con i metodi di cifratura SHA256 o SHA512.

    Il numero di cicli è definito dalle variabili SHA_CRYPT_MIN_ROUNDS e SHA_CRYPT_MAX_ROUNDS in /etc/login.defs.

AVVISI/CAVEAT

Ricordarsi di impostare i permessi o umask in modo da prevenire la lettura in chiaro da parte di altri utenti.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

ENCRYPT_METHOD (testo)
    Definisce l'algoritmo di cifratura predefinito per le password (se non ne viene specificato uno a riga di comando).

    Può avere uno dei seguenti valori: DES (predefinito), MD5, SHA256, SHA512.

    Nota: questo parametro ha la precedenza sulla variabile MD5_CRYPT_ENAB.

MD5_CRYPT_ENAB (booleano)
    Indica se le password vanno cifrate usando l'algoritmo basato su MD5. Se impostato a yes le nuove password saranno cifrate usando un algoritmo basato su MD5 e compatibile con quello delle versioni più recenti di FreeBSD. Supporta password di lunghezza qualsiasi e testi «salt» più lunghi. Impostare a no se si devono copiare password su altri sistemi che non gestiscono l'algoritmo. Il valore predefinito è no.

    Questa variabile ha meno priorità della variabile ENCRYPT_METHOD e di qualsiasi opzione a riga di comando che imposta un algoritmo di cifratura.

    Questa variabile non è più usata. Si dovrebbe utilizzare ENCRYPT_METHOD.

SHA_CRYPT_MIN_ROUNDS (numerico), SHA_CRYPT_MAX_ROUNDS (numerico)
    Quando ENCRYPT_METHOD vale SHA256 o SHA512, questo definisce il numero di cicli SHA usati per l'algoritmo di cifratura (quando il numero di cicli non è impostato a riga di comando).

    Con molti cicli è più difficile trovare una password usando la forza bruta. Ma va notato che è richiesta maggiore potenza di calcolo per autenticare gli utenti.

    Se non specificato sarà la libc a scegliere il numero di cicli (5000).

    Il valore deve essere compreso tra 1.000 e 999.999.999.

    Se viene impostato solo uno tra SHA_CRYPT_MIN_ROUNDS e SHA_CRYPT_MAX_ROUNDS, allora l'unico valore viene utilizzato.

    Se SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, allora viene utilizzato il maggiore.

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/login.defs
    Configurazione del pacchetto password shadow

VEDERE ANCHE

passwd(1), newusers(8), login.defs(5),useradd(8).